Gentoo Forums
Gentoo Forums
Gentoo Forums
Quick Search: in
Co-install KDE Workspaces 5 with KDE4
View unanswered posts
View posts from last 24 hours

 
Reply to topic    Gentoo Forums Forum Index Unsupported Software
View previous topic :: View next topic  
Author Message
Lustmored
Apprentice
Apprentice


Joined: 28 May 2010
Posts: 204
Location: Poland

PostPosted: Thu May 29, 2014 8:06 pm    Post subject: Co-install KDE Workspaces 5 with KDE4 Reply with quote

I have read a few times that programs basen on kf5 should be co-installable with KDE SC 4. How can I achieve such goal in Gentoo? I am tryin with -9999 packages, have keyworded and unmasked all of them (and needed dependencied), have solved all needed USE flags etc. to the point that @kde-frameworks-live merged.

But now I'd like to actually try it and here lays the problem:

Code:
vindor ~ # emerge -av @kde-workspaces-live
Error during set creation: Could not import 'smartliverebuild.sets.SmartLiveRebuildSet' for section 'smart-live-rebuild'

These are the packages that would be merged, in order:

Calculating dependencies... done!
[ebuild  N     ] dev-qt/qtpaths-5.3.0:5::qt  USE="-debug {-test}" 0 kB
[ebuild  N     ] dev-qt/qdbus-5.3.0:5::qt  USE="-debug {-test}" 0 kB
[ebuild  N    *] x11-libs/libkscreen2-9999:5::kde  USE="-debug {-test}" 0 kB
[ebuild  N    *] kde-base/breeze-9999:5::kde  0 kB
[ebuild  NS    ] dev-qt/qtmultimedia-5.3.0:5::qt [4.8.5:4::gentoo] USE="alsa pulseaudio -debug -gstreamer -openal -qml {-test}" 3,112 kB
[ebuild  NS   *] kde-base/kfilemetadata-9999:5::kde [4.9999:4/4.9999::kde] USE="exif ffmpeg pdf -debug -epub -taglib" 0 kB
[ebuild  N    *] kde-base/libksysguard-9999:5::kde  USE="X -debug {-test}" 0 kB
[ebuild  NS   *] kde-base/kwin-9999:5::kde [4.11.49.9999:4/4.11::kde] USE="handbook opengl wayland -debug -gles2 {-test}" 0 kB
[ebuild  N    *] kde-base/kde-cli-tools-9999:5::kde  USE="-debug {-test}" 0 kB
[ebuild  NS   *] kde-base/kwrited-9999:5::kde [4.11.49.9999:4/4.11::kde] USE="-debug" 0 kB
[ebuild  NS   *] kde-base/systemsettings-9999:5::kde [4.11.49.9999:4/4.11::kde] USE="handbook -debug" 0 kB
[ebuild  N    *] kde-base/kio-extras-9999:5::kde  USE="exif handbook samba sftp -debug -openexr -slp {-test}" 0 kB
[ebuild  NS   *] kde-base/khelpcenter-9999:5::kde [4.9999:4/4.9999::kde] USE="handbook -debug" 0 kB
[ebuild  NS   *] kde-base/kinfocenter-9999:5::kde [4.11.49.9999:4/4.11::kde] USE="X egl handbook opengl pci samba wayland -debug -gles -ieee1394 -nfs -server" 0 kB
[ebuild  NS   *] kde-base/baloo-9999:5::kde [4.9999:4/4.9999::kde] USE="-debug" 0 kB
[ebuild  NS   *] kde-base/ksysguard-9999:5::kde [4.11.49.9999:4/4.11::kde] USE="handbook lm_sensors -debug" 0 kB
[ebuild  N    *] kde-base/oxygen-9999:5::kde  USE="-debug" 0 kB
[ebuild  N    *] kde-base/milou-9999:5::kde  USE="-debug" 0 kB
[ebuild  NS   *] kde-base/plasma-workspace-9999:5::kde [4.11.49.9999:4/4.11::kde] USE="X dbus -debug -prison {-test}" 0 kB
[ebuild  NS   *] kde-base/khotkeys-9999:5::kde [4.11.49.9999:4/4.11::kde] USE="handbook -debug" 0 kB
[ebuild  NS   *] kde-base/powerdevil-9999:5::kde [4.11.49.9999:4/4.11::kde] USE="X upower -debug" 0 kB
[ebuild  NS   *] kde-base/kmenuedit-9999:5::kde [4.11.49.9999:4/4.11::kde] USE="hotkeys -debug" 0 kB
[ebuild  NS   *] net-libs/libbluedevil-9999:5::kde [2.0_rc1:4::kde] USE="-debug" 0 kB
[uninstall     ] net-libs/libbluedevil-2.0_rc1:4::kde  USE="(-aqua) -debug"
[blocks b      ] net-libs/libbluedevil:4 ("net-libs/libbluedevil:4" is blocking net-libs/libbluedevil-9999)
[ebuild  NS   *] net-wireless/bluedevil-9999:5::kde [2.0_rc1-r1:4::gentoo] USE="-debug" 0 kB
[uninstall     ] net-wireless/bluedevil-2.0_rc1-r1:4  USE="(-aqua) -debug" LINGUAS="-ar -bs -ca -ca@valencia -cs -da -de -el -en_GB -eo -es -et -eu -fa -fi -fr -ga -gl -hu -it -ja -kk -km -ko -lt -mai -mr -ms -nb -nds -nl -pa -pl -pt -pt_BR -ro -ru -sk -sl -sr -sr@ijekavian -sr@ijekavianlatin -sr@latin -sv -th -tr -ug -uk -zh_CN -zh_TW"
[blocks b      ] net-wireless/bluedevil:4 ("net-wireless/bluedevil:4" is blocking net-wireless/bluedevil-9999)
[ebuild  N    *] kde-base/plasma-desktop-9999:5::kde  USE="bluetooth fontconfig handbook pulseaudio usb -debug -networkmanager" 0 kB
[blocks B      ] kde-base/kdebase-cursors:4 ("kde-base/kdebase-cursors:4" is blocking kde-base/oxygen-9999)
[blocks B      ] kde-base/kdebase-menu-icons:4 ("kde-base/kdebase-menu-icons:4" is blocking kde-base/plasma-workspace-9999)
[blocks B      ] kde-base/kfilemetadata:4 ("kde-base/kfilemetadata:4" is blocking kde-base/kfilemetadata-9999)
[blocks B      ] kde-base/attica:4 ("kde-base/attica:4" is blocking kde-base/plasma-desktop-9999)
[blocks B      ] kde-base/krunner:4 ("kde-base/krunner:4" is blocking kde-base/plasma-workspace-9999)
[blocks B      ] kde-base/ksplash:4 ("kde-base/ksplash:4" is blocking kde-base/plasma-workspace-9999)
[blocks B      ] kde-base/ksysguard:4 ("kde-base/ksysguard:4" is blocking kde-base/ksysguard-9999, kde-base/libksysguard-9999)
[blocks B      ] kde-base/knetattach:4 ("kde-base/knetattach:4" is blocking kde-base/plasma-desktop-9999)
[blocks B      ] kde-base/khelpcenter:4 ("kde-base/khelpcenter:4" is blocking kde-base/khelpcenter-9999)
[blocks B      ] kde-base/ksmserver:4 ("kde-base/ksmserver:4" is blocking kde-base/plasma-workspace-9999)
[blocks B      ] kde-base/khotkeys:4 ("kde-base/khotkeys:4" is blocking kde-base/khotkeys-9999)
[blocks B      ] kde-base/systemsettings:4 ("kde-base/systemsettings:4" is blocking kde-base/kwin-9999, kde-base/systemsettings-9999)
[blocks B      ] kde-base/plasma-workspace:4 ("kde-base/plasma-workspace:4" is blocking kde-base/plasma-workspace-9999)
[blocks B      ] kde-base/libkworkspace:4 ("kde-base/libkworkspace:4" is blocking kde-base/plasma-workspace-9999)
[blocks B      ] kde-base/powerdevil:4 ("kde-base/powerdevil:4" is blocking kde-base/powerdevil-9999)
[blocks B      ] kde-base/kdebase-kioslaves:4 ("kde-base/kdebase-kioslaves:4" is blocking kde-base/kio-extras-9999)
[blocks B      ] kde-base/kmenuedit:4 ("kde-base/kmenuedit:4" is blocking kde-base/kmenuedit-9999)
[blocks B      ] kde-base/kcminit:4 ("kde-base/kcminit:4" is blocking kde-base/plasma-workspace-9999)
[blocks B      ] kde-base/kinfocenter:4 ("kde-base/kinfocenter:4" is blocking kde-base/kinfocenter-9999)
[blocks B      ] kde-base/freespacenotifier:4 ("kde-base/freespacenotifier:4" is blocking kde-base/plasma-workspace-9999)
[blocks B      ] kde-base/kuiserver:4 ("kde-base/kuiserver:4" is blocking kde-base/plasma-workspace-9999)
[blocks B      ] kde-base/libtaskmanager:4 ("kde-base/libtaskmanager:4" is blocking kde-base/plasma-workspace-9999)
[blocks B      ] kde-base/baloo:4 ("kde-base/baloo:4" is blocking kde-base/baloo-9999)
[blocks B      ] kde-base/kdebase-startkde:4 ("kde-base/kdebase-startkde:4" is blocking kde-base/plasma-workspace-9999)
[blocks B      ] kde-base/kwin:4 ("kde-base/kwin:4" is blocking kde-base/kwin-9999)
[blocks B      ] kde-base/kwrited:4 ("kde-base/kwrited:4" is blocking kde-base/kwrited-9999)
[blocks B      ] kde-base/klipper:4 ("kde-base/klipper:4" is blocking kde-base/plasma-workspace-9999)
[blocks B      ] kde-base/kcontrol:4 ("kde-base/kcontrol:4" is blocking kde-base/kinfocenter-9999)

Total: 25 packages (10 new, 15 in new slots, 2 uninstalls), Size of downloads: 3,112 kB
Conflict: 30 blocks (28 unsatisfied)

 * Error: The above package list contains packages which cannot be
 * installed at the same time on the same system.

  (kde-base/kwrited-9999:5/5::kde, ebuild scheduled for merge) pulled in by
    ~kde-base/kwrited-9999 required by @kde-workspaces-live

  (kde-base/attica-4.9999:4/4.9999::kde, installed) pulled in by
    >=kde-base/attica-4.9999:4[aqua=] (>=kde-base/attica-4.9999:4[-aqua]) required by (kde-base/kdebase-runtime-meta-4.9999:4/4::kde, installed)

  (kde-base/oxygen-9999:5/5::kde, ebuild scheduled for merge) pulled in by
    ~kde-base/oxygen-9999 required by @kde-workspaces-live

  (kde-base/powerdevil-4.11.49.9999:4/4.11::kde, installed) pulled in by
    >=kde-base/powerdevil-4.11:4[aqua=] (>=kde-base/powerdevil-4.11:4[-aqua]) required by (kde-base/kdebase-meta-4.9999:4/4::kde, installed)

  (kde-base/kdebase-cursors-4.11.49.9999:4/4.11::kde, installed) pulled in by
    >=kde-base/kdebase-cursors-4.11:4[aqua=] (>=kde-base/kdebase-cursors-4.11:4[-aqua]) required by (kde-base/kdebase-meta-4.9999:4/4::kde, installed)

  (kde-base/krunner-4.11.49.9999:4/4.11::kde, installed) pulled in by
    >=kde-base/krunner-4.11:4[aqua=] (>=kde-base/krunner-4.11:4[-aqua]) required by (kde-base/kdebase-meta-4.9999:4/4::kde, installed)
    >=kde-base/krunner-4.11:4[aqua=] (>=kde-base/krunner-4.11:4[-aqua]) required by (kde-base/kdeplasma-addons-4.9999:4/4.9999::kde, installed)
    >=kde-base/krunner-4.11:4[aqua=] (>=kde-base/krunner-4.11:4[-aqua]) required by (kde-base/kdebase-startkde-4.11.49.9999:4/4.11::kde, installed)

  (kde-base/kwin-4.11.49.9999:4/4.11::kde, installed) pulled in by
    >=kde-base/kwin-4.11:4[aqua=] (>=kde-base/kwin-4.11:4[-aqua]) required by (kde-base/kdebase-meta-4.9999:4/4::kde, installed)
    >=kde-base/kwin-4.11:4[aqua=] (>=kde-base/kwin-4.11:4[-aqua]) required by (kde-base/kdeartwork-styles-4.9999:4/4.9999::kde, installed)
    >=kde-base/kwin-4.11:4[aqua=] (>=kde-base/kwin-4.11:4[-aqua]) required by (kde-base/systemsettings-4.11.49.9999:4/4.11::kde, installed)
    >=kde-base/kwin-4.11:4[aqua=] (>=kde-base/kwin-4.11:4[-aqua]) required by (kde-base/kdebase-startkde-4.11.49.9999:4/4.11::kde, installed)

  (kde-base/khotkeys-4.11.49.9999:4/4.11::kde, installed) pulled in by
    >=kde-base/khotkeys-4.11:4[aqua=] (>=kde-base/khotkeys-4.11:4[-aqua]) required by (kde-base/kdebase-meta-4.9999:4/4::kde, installed)
    >=kde-base/khotkeys-4.11:4[aqua=] (>=kde-base/khotkeys-4.11:4[-aqua]) required by (kde-base/kmenuedit-4.11.49.9999:4/4.11::kde, installed)
    >=kde-base/khotkeys-4.11:4[aqua=] (>=kde-base/khotkeys-4.11:4[-aqua]) required by (kde-base/kcontrol-4.9999:4/4.9999::kde, installed)

  (kde-base/ksplash-4.11.49.9999:4/4.11::kde, installed) pulled in by
    >=kde-base/ksplash-4.11:4[aqua=] (>=kde-base/ksplash-4.11:4[-aqua]) required by (kde-base/kdebase-meta-4.9999:4/4::kde, installed)
    >=kde-base/ksplash-4.11:4[aqua=] (>=kde-base/ksplash-4.11:4[-aqua]) required by (kde-base/kdebase-startkde-4.11.49.9999:4/4.11::kde, installed)

  (kde-base/kwin-9999:5/5::kde, ebuild scheduled for merge) pulled in by
    ~kde-base/kwin-9999 required by @kde-workspaces-live
    >=kde-base/kwin-9999:5 required by (kde-base/oxygen-9999:5/5::kde, ebuild scheduled for merge)
    >=kde-base/kwin-9999:5 required by (kde-base/plasma-desktop-9999:5/5::kde, ebuild scheduled for merge)

  (kde-base/kuiserver-4.9999:4/4.9999::kde, installed) pulled in by
    >=kde-base/kuiserver-4.9999:4[aqua=] (>=kde-base/kuiserver-4.9999:4[-aqua]) required by (kde-base/kdebase-runtime-meta-4.9999:4/4::kde, installed)

  (kde-base/kdebase-kioslaves-4.9999:4/4.9999::kde, installed) pulled in by
    >=kde-base/kdebase-kioslaves-4.13.1:4[aqua=] (>=kde-base/kdebase-kioslaves-4.13.1:4[-aqua]) required by (media-sound/amarok-2.8.0-r2:4/4::gentoo, installed)
    >=kde-base/kdebase-kioslaves-4.9999:4[aqua=] (>=kde-base/kdebase-kioslaves-4.9999:4[-aqua]) required by (kde-base/ffmpegthumbs-4.9999:4/4.9999::kde, installed)
    >=kde-base/kdebase-kioslaves-4.9999:4[aqua=] (>=kde-base/kdebase-kioslaves-4.9999:4[-aqua]) required by (kde-base/kdebase-runtime-meta-4.9999:4/4::kde, installed)
    >=kde-base/kdebase-kioslaves-4.9999:4[aqua=] (>=kde-base/kdebase-kioslaves-4.9999:4[-aqua]) required by (kde-base/thumbnailers-4.9999:4/4.9999::kde, installed)
    >=kde-base/kdebase-kioslaves-4.4:4[aqua=] (>=kde-base/kdebase-kioslaves-4.4:4[-aqua]) required by (net-p2p/ktorrent-4.3.1-r1:4/4::gentoo, installed)

  (kde-base/powerdevil-9999:5/5::kde, ebuild scheduled for merge) pulled in by
    ~kde-base/powerdevil-9999 required by @kde-workspaces-live

  (kde-base/khelpcenter-9999:5/5::kde, ebuild scheduled for merge) pulled in by
    ~kde-base/khelpcenter-9999 required by @kde-workspaces-live

  (kde-base/kmenuedit-9999:5/5::kde, ebuild scheduled for merge) pulled in by
    ~kde-base/kmenuedit-9999 required by @kde-workspaces-live

  (kde-base/baloo-9999:5/5::kde, ebuild scheduled for merge) pulled in by
    >=kde-base/baloo-9999:5 required by (kde-base/milou-9999:5/5::kde, ebuild scheduled for merge)
    ~kde-base/baloo-9999 required by @kde-workspaces-live

  (kde-base/plasma-workspace-9999:5/5::kde, ebuild scheduled for merge) pulled in by
    ~kde-base/plasma-workspace-9999 required by @kde-workspaces-live
    >=kde-base/plasma-workspace-9999:5 required by (kde-base/khotkeys-9999:5/5::kde, ebuild scheduled for merge)
    >=kde-base/plasma-workspace-9999:5 required by (kde-base/powerdevil-9999:5/5::kde, ebuild scheduled for merge)
    >=kde-base/plasma-workspace-9999:5 required by (kde-base/plasma-desktop-9999:5/5::kde, ebuild scheduled for merge)

  (kde-base/kcminit-4.11.49.9999:4/4.11::kde, installed) pulled in by
    >=kde-base/kcminit-4.11:4[aqua=] (>=kde-base/kcminit-4.11:4[-aqua]) required by (kde-base/kdebase-meta-4.9999:4/4::kde, installed)
    >=kde-base/kcminit-4.11:4[aqua=] (>=kde-base/kcminit-4.11:4[-aqua]) required by (kde-base/ksmserver-4.11.49.9999:4/4.11::kde, installed)
    >=kde-base/kcminit-4.11:4[aqua=] (>=kde-base/kcminit-4.11:4[-aqua]) required by (kde-base/kdebase-startkde-4.11.49.9999:4/4.11::kde, installed)

  (kde-base/ksysguard-4.11.49.9999:4/4.11::kde, installed) pulled in by
    >=kde-base/ksysguard-4.11:4[aqua=] (>=kde-base/ksysguard-4.11:4[-aqua]) required by (kde-base/kdebase-meta-4.9999:4/4::kde, installed)
    >=kde-base/ksysguard-4.4:4[aqua=] (>=kde-base/ksysguard-4.4:4[-aqua]) required by (dev-util/kdevelop-4.9999:4/4::kde, installed)
    >=kde-base/ksysguard-4.11:4[aqua=] (>=kde-base/ksysguard-4.11:4[-aqua]) required by (kde-base/plasma-workspace-4.11.49.9999:4/4.11::kde, installed)
    >=kde-base/ksysguard-4.11:4[aqua=] (>=kde-base/ksysguard-4.11:4[-aqua]) required by (kde-base/libtaskmanager-4.11.49.9999:4/4.11::kde, installed)
    >=kde-base/ksysguard-4.11:4[aqua=] (>=kde-base/ksysguard-4.11:4[-aqua]) required by (kde-base/krunner-4.11.49.9999:4/4.11::kde, installed)

  (kde-base/libkworkspace-4.11.49.9999:4/4.11::kde, installed) pulled in by
    >=kde-base/libkworkspace-4.11:4[aqua=] (>=kde-base/libkworkspace-4.11:4[-aqua]) required by (kde-base/libplasmagenericshell-4.11.49.9999:4/4.11::kde, installed)
    >=kde-base/libkworkspace-4.11:4[aqua=] (>=kde-base/libkworkspace-4.11:4[-aqua]) required by (kde-base/kdm-4.11.49.9999:4/4.11::kde, installed)
    >=kde-base/libkworkspace-4.11:4[aqua=] (>=kde-base/libkworkspace-4.11:4[-aqua]) required by (kde-base/kdeartwork-kscreensaver-4.9999:4/4.9999::kde, installed)
    >=kde-base/libkworkspace-4.4:4[aqua=] (>=kde-base/libkworkspace-4.4:4[-aqua]) required by (dev-util/kdevelop-4.9999:4/4::kde, installed)
    >=kde-base/libkworkspace-4.10:4[aqua=] (>=kde-base/libkworkspace-4.10:4[-aqua]) required by (kde-misc/homerun-1.2.4:4/4::gentoo, installed)
    >=kde-base/libkworkspace-4.11:4[aqua=] (>=kde-base/libkworkspace-4.11:4[-aqua]) required by (kde-base/kdebase-meta-4.9999:4/4::kde, installed)
    >=kde-base/libkworkspace-4.11:4[aqua=] (>=kde-base/libkworkspace-4.11:4[-aqua]) required by (kde-base/kget-4.9999:4/4.9999::kde, installed)
    >=kde-base/libkworkspace-4.11:4[aqua=] (>=kde-base/libkworkspace-4.11:4[-aqua]) required by (kde-base/powerdevil-4.11.49.9999:4/4.11::kde, installed)
    >=kde-base/libkworkspace-4.11:4[aqua=] (>=kde-base/libkworkspace-4.11:4[-aqua]) required by (kde-base/ksmserver-4.11.49.9999:4/4.11::kde, installed)
    >=kde-base/libkworkspace-4.11:4[aqua=] (>=kde-base/libkworkspace-4.11:4[-aqua]) required by (kde-base/klipper-4.11.49.9999:4/4.11::kde, installed)
    >=kde-base/libkworkspace-4.11:4[aqua=] (>=kde-base/libkworkspace-4.11:4[-aqua]) required by (kde-base/khotkeys-4.11.49.9999:4/4.11::kde, installed)
    >=kde-base/libkworkspace-4.11:4[aqua=] (>=kde-base/libkworkspace-4.11:4[-aqua]) required by (kde-base/krunner-4.11.49.9999:4/4.11::kde, installed)
    >=kde-base/libkworkspace-4.11:4[aqua=] (>=kde-base/libkworkspace-4.11:4[-aqua]) required by (kde-base/plasma-workspace-4.11.49.9999:4/4.11::kde, installed)
    >=kde-base/libkworkspace-4.11:4[aqua=] (>=kde-base/libkworkspace-4.11:4[-aqua]) required by (kde-base/libtaskmanager-4.11.49.9999:4/4.11::kde, installed)
    >=kde-base/libkworkspace-4.11:4[aqua=] (>=kde-base/libkworkspace-4.11:4[-aqua]) required by (kde-base/kwin-4.11.49.9999:4/4.11::kde, installed)
    >=kde-base/libkworkspace-4.11:4[aqua=] (>=kde-base/libkworkspace-4.11:4[-aqua]) required by (kde-base/systemsettings-4.11.49.9999:4/4.11::kde, installed)

  (kde-base/khotkeys-9999:5/5::kde, ebuild scheduled for merge) pulled in by
    ~kde-base/khotkeys-9999 required by @kde-workspaces-live
    >=kde-base/khotkeys-9999:5 required by (kde-base/kmenuedit-9999:5/5::kde, ebuild scheduled for merge)

  (kde-base/plasma-desktop-9999:5/5::kde, ebuild scheduled for merge) pulled in by
    ~kde-base/plasma-desktop-9999 required by @kde-workspaces-live

  (kde-base/kfilemetadata-4.9999:4/4.9999::kde, installed) pulled in by
    >=kde-base/kfilemetadata-4.9999:4[aqua=] (>=kde-base/kfilemetadata-4.9999:4[-aqua]) required by (kde-base/dolphin-4.9999:4/4.9999::kde, installed)
    >=kde-base/kfilemetadata-4.4:4[-aqua] required by (kde-misc/baloo-kcmadv-2014.04.27:4/4::kde, installed)
    >=kde-base/kfilemetadata-4.9999:4[aqua=] (>=kde-base/kfilemetadata-4.9999:4[-aqua]) required by (kde-base/baloo-widgets-4.9999:4/4.9999::kde, installed)
    >=kde-base/kfilemetadata-4.9999:4[aqua=] (>=kde-base/kfilemetadata-4.9999:4[-aqua]) required by (kde-base/baloo-4.9999:4/4.9999::kde, installed)

  (kde-base/libksysguard-9999:5/5::kde, ebuild scheduled for merge) pulled in by
    ~kde-base/libksysguard-9999 required by @kde-workspaces-live
    >=kde-base/libksysguard-9999:5 required by (kde-base/plasma-workspace-9999:5/5::kde, ebuild scheduled for merge)
    >=kde-base/libksysguard-9999:5 required by (kde-base/ksysguard-9999:5/5::kde, ebuild scheduled for merge)

  (kde-base/baloo-4.9999:4/4.9999::kde, installed) pulled in by
    >=kde-base/baloo-4.9999:4[aqua=] (>=kde-base/baloo-4.9999:4[-aqua]) required by (kde-base/dolphin-4.9999:4/4.9999::kde, installed)
    >=kde-base/baloo-4.9999:4[aqua=] (>=kde-base/baloo-4.9999:4[-aqua]) required by (kde-base/gwenview-4.9999:4/4.9999::kde, installed)
    >=kde-base/baloo-4.9999:4[aqua=] (>=kde-base/baloo-4.9999:4[-aqua]) required by (kde-base/baloo-widgets-4.9999:4/4.9999::kde, installed)
    >=kde-base/baloo-4.9999:4[aqua=] (>=kde-base/baloo-4.9999:4[-aqua]) required by (kde-base/kdepim-common-libs-4.9999:4/4.9999::kde, installed)

  (kde-base/plasma-workspace-4.11.49.9999:4/4.11::kde, installed) pulled in by
    >=kde-base/plasma-workspace-4.11:4[aqua=] (>=kde-base/plasma-workspace-4.11:4[-aqua]) required by (kde-base/kdebase-meta-4.9999:4/4::kde, installed)
    >=kde-base/plasma-workspace-4.10:4[aqua=] (>=kde-base/plasma-workspace-4.10:4[-aqua]) required by (kde-misc/homerun-1.2.4:4/4::gentoo, installed)
    >=kde-base/plasma-workspace-4.4:4[aqua=] (>=kde-base/plasma-workspace-4.4:4[-aqua]) required by (kde-misc/quickaccess-0.8.2-r1:4/4::gentoo, installed)
    >=kde-base/plasma-workspace-4.11:4[aqua=,nepomuk?] (>=kde-base/plasma-workspace-4.11:4[-aqua]) required by (kde-base/kdeplasma-addons-4.9999:4/4.9999::kde, installed)
    >=kde-base/plasma-workspace-4.11:4[aqua=] (>=kde-base/plasma-workspace-4.11:4[-aqua]) required by (kde-base/kdebase-startkde-4.11.49.9999:4/4.11::kde, installed)

  (kde-base/kio-extras-9999:5/5::kde, ebuild scheduled for merge) pulled in by
    ~kde-base/kio-extras-9999 required by @kde-workspaces-live

  (kde-base/kwrited-4.11.49.9999:4/4.11::kde, installed) pulled in by
    >=kde-base/kwrited-4.11:4[aqua=] (>=kde-base/kwrited-4.11:4[-aqua]) required by (kde-base/kdebase-meta-4.9999:4/4::kde, installed)

  (kde-base/kmenuedit-4.11.49.9999:4/4.11::kde, installed) pulled in by
    >=kde-base/kmenuedit-4.11:4[aqua=] (>=kde-base/kmenuedit-4.11:4[-aqua]) required by (kde-base/kdebase-meta-4.9999:4/4::kde, installed)

  (kde-base/kdebase-menu-icons-4.9999:4/4.9999::kde, installed) pulled in by
    >=kde-base/kdebase-menu-icons-4.9999:4[aqua=] (>=kde-base/kdebase-menu-icons-4.9999:4[-aqua]) required by (kde-base/kdebase-runtime-meta-4.9999:4/4::kde, installed)

  (kde-base/khelpcenter-4.9999:4/4.9999::kde, installed) pulled in by
    >=kde-base/khelpcenter-4.9999:4[aqua=] (>=kde-base/khelpcenter-4.9999:4[-aqua]) required by (kde-base/kdebase-runtime-meta-4.9999:4/4::kde, installed)
    >=kde-base/khelpcenter-4.9999:4[aqua=] (>=kde-base/khelpcenter-4.9999:4[-aqua]) required by (kde-base/kdelibs-4.9999:4/4.9999::kde, installed)

  (kde-base/systemsettings-4.11.49.9999:4/4.11::kde, installed) pulled in by
    >=kde-base/systemsettings-4.11:4[aqua=] (>=kde-base/systemsettings-4.11:4[-aqua]) required by (kde-base/kdebase-meta-4.9999:4/4::kde, installed)
    >=kde-base/systemsettings-4.11:4[aqua=] (>=kde-base/systemsettings-4.11:4[-aqua]) required by (kde-base/kdebase-startkde-4.11.49.9999:4/4.11::kde, installed)

  (kde-base/knetattach-4.9999:4/4.9999::kde, installed) pulled in by
    >=kde-base/knetattach-4.9999:4[aqua=] (>=kde-base/knetattach-4.9999:4[-aqua]) required by (kde-base/kdebase-runtime-meta-4.9999:4/4::kde, installed)

  (kde-base/freespacenotifier-4.11.49.9999:4/4.11::kde, installed) pulled in by
    >=kde-base/freespacenotifier-4.11:4[aqua=] (>=kde-base/freespacenotifier-4.11:4[-aqua]) required by (kde-base/kdebase-meta-4.9999:4/4::kde, installed)

  (kde-base/kcontrol-4.9999:4/4.9999::kde, installed) pulled in by
    >=kde-base/kcontrol-4.9999:4[aqua=] (>=kde-base/kcontrol-4.9999:4[-aqua]) required by (kde-base/kdebase-runtime-meta-4.9999:4/4::kde, installed)

  (kde-base/kinfocenter-4.11.49.9999:4/4.11::kde, installed) pulled in by
    >=kde-base/kinfocenter-4.11:4[aqua=] (>=kde-base/kinfocenter-4.11:4[-aqua]) required by (kde-base/kdebase-meta-4.9999:4/4::kde, installed)

  (kde-base/ksysguard-9999:5/5::kde, ebuild scheduled for merge) pulled in by
    ~kde-base/ksysguard-9999 required by @kde-workspaces-live

  (kde-base/kdebase-startkde-4.11.49.9999:4/4.11::kde, installed) pulled in by
    >=kde-base/kdebase-startkde-4.11:4[aqua=] (>=kde-base/kdebase-startkde-4.11:4[-aqua]) required by (kde-base/kdebase-meta-4.9999:4/4::kde, installed)

  (kde-base/klipper-4.11.49.9999:4/4.11::kde, installed) pulled in by
    >=kde-base/klipper-4.11:4[aqua=] (>=kde-base/klipper-4.11:4[-aqua]) required by (kde-base/kdebase-meta-4.9999:4/4::kde, installed)

  (kde-base/systemsettings-9999:5/5::kde, ebuild scheduled for merge) pulled in by
    ~kde-base/systemsettings-9999 required by @kde-workspaces-live

  (kde-base/libtaskmanager-4.11.49.9999:4/4.11::kde, installed) pulled in by
    >=kde-base/libtaskmanager-4.11:4[aqua=] (>=kde-base/libtaskmanager-4.11:4[-aqua]) required by (kde-base/kdebase-meta-4.9999:4/4::kde, installed)
    >=kde-base/libtaskmanager-4.4:4[aqua=] (>=kde-base/libtaskmanager-4.4:4[-aqua]) required by (net-p2p/ktorrent-4.3.1-r1:4/4::gentoo, installed)
    >=kde-base/libtaskmanager-4.11:4[aqua=] (>=kde-base/libtaskmanager-4.11:4[-aqua]) required by (kde-base/klipper-4.11.49.9999:4/4.11::kde, installed)
    >=kde-base/libtaskmanager-4.11:4[aqua=] (>=kde-base/libtaskmanager-4.11:4[-aqua]) required by (kde-base/plasma-workspace-4.11.49.9999:4/4.11::kde, installed)

  (kde-base/ksmserver-4.11.49.9999:4/4.11::kde, installed) pulled in by
    >=kde-base/ksmserver-4.11:4[aqua=] (>=kde-base/ksmserver-4.11:4[-aqua]) required by (kde-base/kdebase-meta-4.9999:4/4::kde, installed)
    >=kde-base/ksmserver-4.11:4[aqua=] (>=kde-base/ksmserver-4.11:4[-aqua]) required by (kde-base/krunner-4.11.49.9999:4/4.11::kde, installed)
    >=kde-base/ksmserver-4.11:4[aqua=] (>=kde-base/ksmserver-4.11:4[-aqua]) required by (kde-base/kdebase-startkde-4.11.49.9999:4/4.11::kde, installed)

  (kde-base/kinfocenter-9999:5/5::kde, ebuild scheduled for merge) pulled in by
    ~kde-base/kinfocenter-9999 required by @kde-workspaces-live


For more information about Blocked Packages, please refer to the following
section of the Gentoo Linux x86 Handbook (architecture is irrelevant):

http://www.gentoo.org/doc/en/handbook/handbook-x86.xml?full=1#blocked


Is there actually any way I can try and help to test kf5 based desktop while still having at least minimal working kde4 based one with its applications? I am kinda lost right now :oops: Unmerging packages like "kwin:4" is no-go for me :(
Back to top
View user's profile Send private message
wispoffates
n00b
n00b


Joined: 15 Jan 2008
Posts: 9

PostPosted: Tue Jun 10, 2014 3:31 am    Post subject: Reply with quote

My general belief after hours of trying is no. Since qt4 and qt5 appear to be exclusive in KDE it does not appear to be able to work as certain dependencies cannot be slotted correctly (many daemons). Heck even after removing kde4 and trying to install kde5 I had to force mask polkit and consolekit use flags to even get it to try to install.

I'm not saying it won't be possible but I believe kde-frameworks in gentoo has a ways to go.
Back to top
View user's profile Send private message
Chaser Andrey
n00b
n00b


Joined: 07 Nov 2010
Posts: 14

PostPosted: Thu Jul 17, 2014 8:19 am    Post subject: Reply with quote

Same problem. Anyway, I don't see kdebase-startkde:5 or similar.
Back to top
View user's profile Send private message
Display posts from previous:   
Reply to topic    Gentoo Forums Forum Index Unsupported Software All times are GMT
Page 1 of 1

 
Jump to:  
You cannot post new topics in this forum
You cannot reply to topics in this forum
You cannot edit your posts in this forum
You cannot delete your posts in this forum
You cannot vote in polls in this forum